// Interface.h
// Header file containing declarations associated with Interface.cpp

#pragma once
#ifndef __INTERFACE_H__
#define __INTERFACE_H__

// declaring objects
extern int BaudRate; //Selected SCI Baud Rate
extern int CANPort; // selected CAN Port 
extern int SCIPort; // selected SCI port
extern int ChannelBitrate; //channel CAN bitrate in b/s
extern int iFace; // selected communications interface: 0: SCI, 1: CAN


// declaring functions
void MainMenu(void);
void ChangeCommsIface(void);
void ChangeBaudRate(void);
void ChangeBitrate(void);
void ChangeSCIPort(void);
void ChangeCANPort(void);
void PreTransmission(void);

#endif